﻿-- To update a translation please use the localization utility at:
-- http://wow.curseforge.com/addons/superdupersoundpackengine/localization/

local AddonName, AddonTable = ...
local function DefaultFunction(_, key) return key end
AddonTable.Localize = setmetatable({}, {__index = DefaultFunction})
local L = AddonTable.Localize

if GetLocale() == "frFR" then -- French
-- L["All Sounds and Music  ( changes only saved per session )"] = ""
-- L["Checking for Boss or Party  ( changes only saved per session )"] = ""
-- L["Jumping Sound"] = ""
-- L["Music"] = ""
-- L["Options"] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
-- L["Sound on Direct Damage"] = ""
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
-- L["Sounds"] = ""
-- L["Swimming Sound"] = ""

elseif GetLocale() == "deDE" then -- German
L["All Sounds and Music  ( changes only saved per session )"] = "Alle Töne und Musik (Veränderungen werden nur pro Sitzung gespeichert)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "Auf Boss oder Gruppe überprüfen (Veränderungen werden nur pro Sitzung gespeichert)"
L["Jumping Sound"] = "Springgeräusche"
L["Music"] = "Musik"
-- L["Options"] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "Ton bei direktem Schaden"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "Töne"
L["Swimming Sound"] = "Schwimmgeräusche"

elseif GetLocale() == "koKR" then -- Korean
L["All Sounds and Music  ( changes only saved per session )"] = "모든 소리와 음악 (변경사항은 캐릭별로 저장)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "파티 또는 보스에 대한 체크 (변경사항은 캐릭별로 저장)"
L["Jumping Sound"] = "점프시 소리"
L["Music"] = "음악"
-- L["Options"] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "데미지에 대한 소리"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "사운드"
L["Swimming Sound"] = "수영시 소리"

elseif GetLocale() == "esMX" then -- Latin American Spanish
L["All Sounds and Music  ( changes only saved per session )"] = "Todos los sonidos y musica"
-- L["Checking for Boss or Party  ( changes only saved per session )"] = ""
L["Jumping Sound"] = "Saltos de sonido"
L["Music"] = "Musica"
-- L["Options"] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
-- L["Sound on Direct Damage"] = ""
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "Sonidos"
-- L["Swimming Sound"] = ""

elseif GetLocale() == "ruRU" then -- Russian
L["All Sounds and Music  ( changes only saved per session )"] = "Включить Звуки, и Музыку  ( работает только в данной сессии )" -- Needs review
L["Checking for Boss or Party  ( changes only saved per session )"] = "Проверять на Боссов и Группы  ( работает только в данной сессии )" -- Needs review
L["Jumping Sound"] = "\"Прыгающий\" Звук"
L["Music"] = "Музыка"
-- L["Options"] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "Звук при Нанесении Урона"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "Звуки"
L["Swimming Sound"] = "\"Плавающий\" Звук"

elseif GetLocale() == "zhCN" then -- Simplified Chinese
L["All Sounds and Music  ( changes only saved per session )"] = "所有音乐和音效"
L["Checking for Boss or Party  ( changes only saved per session )"] = "团队检查音效"
L["Jumping Sound"] = "跳跃音效"
L["Music"] = "音乐"
-- L["Options"] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "直接伤害音效"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "音效"
L["Swimming Sound"] = "游泳音效"

elseif GetLocale() == "esES" then -- Spanish
L["All Sounds and Music  ( changes only saved per session )"] = "Todos los sonidos y música (cambios sólo guardados una vez por sesión)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "Buscador de Boss o de Grupo"
L["Jumping Sound"] = "Sonido al saltar"
L["Music"] = "Música"
-- L["Options"] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "Sonido al hacer daño directo"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "Sonidos"
L["Swimming Sound"] = "Sonido al nadar"

elseif GetLocale() == "zhTW" then -- Traditional Chinese
L["All Sounds and Music  ( changes only saved per session )"] = "所有音乐和音效"
L["Checking for Boss or Party  ( changes only saved per session )"] = "团队检查音效"
L["Jumping Sound"] = "跳跃音效"
L["Music"] = "音乐"
-- L["Options"] = ""
-- L["Sound on Buff"] = ""
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "直接伤害音效"
-- L["Sound on XP, Honor or Rep. Gain"] = ""
-- L["Sound when Boss Reaches Low Health"] = ""
-- L["Sound when at Max Combo Points or Rage"] = ""
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "音效"
L["Swimming Sound"] = "游泳音效"

end